poi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Burch <apa...@gagravarr.org>
Subject Re: Abandon JDK 1.5 support?
Date Sun, 26 Jan 2014 16:44:41 GMT
On Sun, 26 Jan 2014, Andreas Beeker wrote:
> I regularly need to workaround limitations in the jdk 1.5 api. Sometimes 
> this is not so straightforward, as with the latest svn commit, which 
> uses NavigableSet features of 1.6.

If you look in the codebase, you'll see a few bits that only work on jdk6, 
but still compile on 5

> how about abandon the support for 1.5 and switch to 1.6?

Lack of support from Oracle != lack of use...

Given how close we are to 3.10, it might be too late to declare that 3.10 
is the last 1.5 release, but it isn't impossible. It would need a major 
version change to drop jdk5

Nick

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@poi.apache.org
For additional commands, e-mail: dev-help@poi.apache.org


Mime
View raw message